> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List waves

> List waves

### Query parameters

<ParamField query="warehouse_id" type="integer (int32)" />

<ParamField query="status" type="string" />

<ParamField query="limit" type="integer (int32)" />

<ParamField query="offset" type="integer (int32)" />

### Responses

<ResponseField name="200" type="WaveListResponse" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/fulfillment/waves' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "total": 1,
    "waves": [
      {
        "completed_pick_count": 1,
        "created_at": "string",
        "id": "string",
        "order_count": 1,
        "pick_count": 1,
        "priority": 1,
        "status": "string",
        "warehouse_id": 1,
        "wave_number": "string"
      }
    ]
  }
  ```
</ResponseExample>
